Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

## Class CreditorReferenceTypeSDD

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_002_01.CreditorReferenceTypeSDD

    public class CreditorReferenceTypeSDD
    extends java.lang.Object

Java class for CreditorReferenceTypeSDD complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreditorReferenceTypeSDD">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Cd" type="{urn:swift:xsd:$pain.008.002.01}DocumentType3CodeSDD"/>
             <element name="Issr" type="{urn:swift:xsd:$pain.008.002.01}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected DocumentType3CodeSDD` `cd`
`protected java.lang.String` `issr`

### Constructor Summary

Constructors
`CreditorReferenceTypeSDD()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DocumentType3CodeSDD` `getCd()` Gets the value of the cd property.
`java.lang.String` `getIssr()` Gets the value of the issr property.
`void` `setCd​(DocumentType3CodeSDD value)` Sets the value of the cd property.
`void` `setIssr​(java.lang.String value)` Sets the value of the issr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cd

    protected DocumentType3CodeSDD cd

#### issr

    protected java.lang.String issr

### Constructor Detail

#### CreditorReferenceTypeSDD

    public CreditorReferenceTypeSDD()

### Method Detail

#### getCd

    public DocumentType3CodeSDD getCd()

Gets the value of the cd property.

Returns:
  possible object is `DocumentType3CodeSDD`

#### setCd

    public void setCd​(DocumentType3CodeSDD value)

Sets the value of the cd property.

Parameters:
  `value` - allowed object is `DocumentType3CodeSDD`

#### getIssr

    public java.lang.String getIssr()

Gets the value of the issr property.

Returns:
  possible object is `String`

#### setIssr

    public void setIssr​(java.lang.String value)

Sets the value of the issr property.

Parameters:
  `value` - allowed object is `String`